/*
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
         2024 ,    .
          2024     .

  1917000  2225000.  !      01 .   575100  667500
      .       "  2024"
*/

--   scale_comments  2024     2023 .
DELETE from scale_comments where yy=2024 and id_scale < 100
go
insert into scale_comments 
	(id_scale, yy, t_comment, cat_pf, fl_mrot, gk_mrot, kod_tarif)
select 
	id_scale, 2024, t_comment, cat_pf, fl_mrot, gk_mrot, kod_tarif
	from scale_comments where yy=2023 and id_scale < 100
go

--    2024 
if exists(select 1 from table_nalog_soc where  yy = 2024) 
	delete from table_nalog_soc where  yy = 2024
GO

if not exists(select 1 from table_nalog_soc where yy = 2024) 
begin
	--   2023   
	select id_scale, yy, code_nalog, nomer_pp, xbegin, xend, procent, min_summa, procent_vmen, min_summa_vmen, prc_after_mrot
	into #table_nalog_soc 
		from table_nalog_soc 
		where yy = 2023
	-- 
	update #table_nalog_soc set yy = 2024
	--      
	
	update #table_nalog_soc set xbegin = 2225000 where round(xbegin, 0) = 1917000
	update #table_nalog_soc set xend = 2225000 where round(xend, 0) = 1917000

	update #table_nalog_soc set min_summa = 667500 where min_summa = 575100


	--    
	insert into table_nalog_soc (
		id_scale, yy, code_nalog, nomer_pp, xbegin, xend, procent, min_summa, procent_vmen, min_summa_vmen, prc_after_mrot
		)
	select 
		id_scale, yy, code_nalog, nomer_pp, xbegin, xend, procent, min_summa, procent_vmen, min_summa_vmen, prc_after_mrot
	from #table_nalog_soc
	--  
	drop table #table_nalog_soc
end
go
